net.minecraft.util

## Class JsonSerializableSet

- java.lang.Object
- - com.google.common.collect.ForwardingObject
  - - com.google.common.collect.ForwardingCollection<E>
    - - com.google.common.collect.ForwardingSet
      - - net.minecraft.util.JsonSerializableSet

- All Implemented Interfaces:
    java.lang.Iterable, java.util.Collection, java.util.Set, IJsonSerializable

      public class JsonSerializableSet
      extends com.google.common.collect.ForwardingSet
      implements IJsonSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSerializableSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set` | `delegate()`
    `com.google.gson.JsonElement` | `getSerializableElement()`

    - ### Methods inherited from class com.google.common.collect.ForwardingSet

      `equals, hashCode, standardEquals, standardHashCode, standardRemoveAll`

    - ### Methods inherited from class com.google.common.collect.ForwardingCollection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, standardAddAll, standardClear, standardContains, standardContainsAll, standardIsEmpty, standardRemove, standardRetainAll, standardToArray, standardToArray, standardToString, toArray, toArray`

    - ### Methods inherited from class com.google.common.collect.ForwardingObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Constructor Detail

    - #### JsonSerializableSet

          public JsonSerializableSet()

  - ### Method Detail

    - #### getSerializableElement

          public com.google.gson.JsonElement getSerializableElement()

      Specified by:
        `getSerializableElement` in interface `IJsonSerializable`

    - #### delegate

          protected java.util.Set delegate()

      Overrides:
        `delegate` in class `com.google.common.collect.ForwardingSet`